Magick::Blob Class Reference

`#include <Blob.h>`

## Public Types

enum | Allocator { MallocAllocator, NewAllocator }

## Public Member Functions

| Blob (void)
| Blob (const void *data_, const size_t length_)
| Blob (const Blob &blob_)
virtual | ~Blob ()
Blob & | operator= (const Blob &blob_)
void | base64 (const std::string base64_)
std::string | base64 (void)
const void * | data (void) const
size_t | length (void) const
void | update (const void *data_, const size_t length_)
void | updateNoCopy (void *data_, const size_t length_, Allocator allocator_=NewAllocator)

## Detailed Description

Definition at line 20 of file Blob.h.

## Member Enumeration Documentation

enum Magick::Blob::Allocator

Enumerator
MallocAllocator |
NewAllocator |

Definition at line 24 of file Blob.h.

## Constructor & Destructor Documentation

Magick::Blob::Blob | ( | void |  | ) |

Definition at line 18 of file Blob.cpp.

Magick::Blob::Blob | ( | const void * | data_,
|  | const size_t | length_
| ) |  |

Definition at line 23 of file Blob.cpp.

Magick::Blob::Blob | ( | const Blob & | blob_ | ) |

Definition at line 28 of file Blob.cpp.

References Magick::BlobRef::_mutexLock, and Magick::BlobRef::_refCount.

Magick::Blob::~Blob | ( |  | ) |

virtual

Definition at line 36 of file Blob.cpp.

## Member Function Documentation

void Magick::Blob::base64 | ( | const std::string | base64_ | ) |

Definition at line 79 of file Blob.cpp.

References MallocAllocator.

std::string Magick::Blob::base64 | ( | void |  | ) |

Definition at line 93 of file Blob.cpp.

const void * Magick::Blob::data | ( | void |  | ) | const

Definition at line 118 of file Blob.cpp.

Referenced by Magick::Image::exifProfile(), Magick::Image::iptcProfile(), Magick::Image::ping(), Magick::Image::profile(), Magick::Image::read(), and Magick::readImages().

size_t Magick::Blob::length | ( | void |  | ) | const

Definition at line 123 of file Blob.cpp.

Referenced by Magick::Image::exifProfile(), Magick::Image::iptcProfile(), Magick::Image::ping(), Magick::Image::profile(), Magick::Image::read(), and Magick::readImages().

Magick::Blob & Magick::Blob::operator= | ( | const Blob & | blob_ | ) |

Definition at line 53 of file Blob.cpp.

References Magick::BlobRef::_mutexLock, and Magick::BlobRef::_refCount.

void Magick::Blob::update | ( | const void * | data_,
|  | const size_t | length_
| ) |  |

Definition at line 128 of file Blob.cpp.

void Magick::Blob::updateNoCopy | ( | void * | data_,
|  | const size_t | length_,
|  | Allocator | allocator_ = `NewAllocator`
| ) |  |

Definition at line 148 of file Blob.cpp.

Referenced by Magick::Image::write(), and Magick::writeImages().

The documentation for this class was generated from the following files:

- Blob.h
- Blob.cpp